camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Strachan <james.strac...@gmail.com>
Subject Re: improving Endpoint documentation and tooling
Date Tue, 30 Apr 2013 07:35:56 GMT
On 29 April 2013 09:01, Babak Vahdat <babak.vahdat@swissonline.ch> wrote:
>
>
> Am 29.04.13 08:00 schrieb "James Strachan" unter
> <james.strachan@gmail.com>:
>
>>On 28 April 2013 23:46, Babak Vahdat <babak.vahdat@swissonline.ch> wrote:
>>> Hi James,
>>>
>>> Another awesome stuff of yours, Thanks!
>>>
>>> Though I've got three questions:
>>>
>>> 1) Following the instructions of yours above I don't see any generated
>>>html
>>> docs @
>>>
>>>         camel-core/target/classes/org/apache/camel/component
>>>
>>> Is there any other steps I'm missing here?
>>
>>No - though I used JDK 1.7; which JDK & OS are you using?
>
> Normally I use JDK 1.6 on OS-X but now switching to JDK 1.7 now generates
> me the HTML docs as well:
>
> ~/dev/workspace/camel/camel-core/target/classes/org/apache/camel/component>
> mvn -v
> Apache Maven 3.0.4 (r1232337; 2012-01-17 09:44:56+0100)
> Maven home: /Users/bvahdat/dev/apache-maven-3.0.4
> Java version: 1.7.0_06-ea, vendor: Oracle Corporation
> Java home:
> /Library/Java/JavaVirtualMachines/jdk1.7.0_06.jdk/Contents/Home/jre
> Default locale: de_DE, platform encoding: UTF-8
> OS name: "mac os x", version: "10.7.5", arch: "x86_64", family: "mac"
>
> ~/dev/workspace/camel/camel-core/target/classes/org/apache/camel/component>
> ls *.html
> bean.html       file.html       seda.html       timer.html

Ah great!

Hopefully if you run "mvn site" you should see some nice HTML in the
maven site for the endpoint configurations too


> Yeah it seems under JDK 1.6, the annotation processing to be not that much
> stable but as long as we can make it to not break our builds then it's
> fine and we could mention this on Wiki that this documentation feature is
> only available using JDK 1.7+
>
> I've got a Windows box as well (hope you can believe me :-)) and will try
> to run the build both using JDK 1.6 & JDK 1.7 on that as well to see how
> that would go.

Thanks! At least the CI builds seem to work fine on Java 1.6 now; so
maybe we don't have to exclude the apt module for Java 1.6?

--
James
-------
Red Hat

Email: jstracha@redhat.com
Web: http://fusesource.com
Twitter: jstrachan, fusenews
Blog: http://macstrac.blogspot.com/

Open Source Integration

Mime
View raw message